Maple

Maple je komerční počítačový algebraický systém disponující symbolickým i numerickým počtem. Je mocným nástrojem při řešení matematických a inženýrských problémů. Specialitou Maplu je i vykreslování grafů. Kromě klasických dvou i třírozměrných grafů zvládá i pokročilejší funkce jako animace, vektorová pole a další.

Svobodnou alternativu k programu Maple představuje Genius Math Tool (program obsahuje nápovědu v češtině a disponuje grafickým rozhraním) nebo Axiom (program je ovládán výhradně z příkazové řádky).

Pokud instalujete Maple z CD, napřed zkopírujte vše potřebné (pravděpodobně složku Linux a instalátor installMapleLinuxSU) do vašeho počítače, například do adresáře Maple ve vašem domovském adresáři.

Maple předpokládá, že je v systému obsažena knihovna libstdc++-libc6.1-1.so.2, kterou potřebuje Java, ale instalátor to nikterak neověřuje. V Ubuntu je ovšem k dispozici novější verze knihovny libstdc++-3-libc6.2-2-2.10.0.so, a proto je nutné vytvořit symbolický link, který při odkazu na starou knihovnu odkáže na novu. V Terminálu tedy spusťte příkaz

sudo ln -s /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so /usr/lib/libstdc++-libc6.1-1.so.2

Instalaci spusťte příkazem

sudo sh ~/Maple/installMapleLinuxSU

a dále se řiďte pokyny grafického instalátoru. Po zadání sériového čísla je nutné vybrat cílový adresář instalace, zvolte například /opt/maple9.

Pro spuštění je vhodné vytvořit symbolický odkaz na spustitelný soubor Maple.

Otevřete Terminál a použijte příkaz

sudo ln -s /opt/maple9/bin/maple /usr/local/bin/maple

Nyní už lze spustit program příkazem maple.

Pomocí voleb k příkazu maple můžeme spustit různé druhy pracovního prostředí, které program Maple nabízí:

maple       textový režim, vhodné např. při výpočtech na vzdáleném serveru
maple -cw   classical Maple worksheet (nepotřebuje Javu)
maple -x    new Maple worksheet (potřebuje Javu)

Pro usnadnění práce doporučujeme vytvořit si na panelu nebo ploše spouštěč.

Chybějící knihovny

Pokud se vám při pokusu o spuštění instalátoru zobrazí chyby poukazující na chybějící knihovny, otevřete Terminál a použijte následující příkazy pro úpravu instalátoru.

cd ~/Maple/Linux/Disk1/InstData/VM

cp LinuxInstaller.bin LinuxInstaller.bin.bak

cat LinuxInstaller.bin.bak | sed "s/export LD_ASSUME_KERNEL/#xport LD_ASSUME_Kernel/" > LinuxInstaller.bin

cd ~/Maple

a spusťte instalátor znovu.

##Preparing to install...
##Extracting the JRE from the installer archive...
##Unpacking the JRE...
##Extracting the installation resources from the installer archive...
##Configuring the installer for this system's environment...
##awk: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory
##dirname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
##/bin/ls: error while loading shared libraries: librt.so.1: cannot open shared object file: No suchfile or directory
##basename: error while loading shared libraries: libc.so.6: cannot open shared object file: No suchfile or directory
##dirname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
##basename: error while loading shared libraries: libc.so.6: cannot open shared object file: No suchfile or directory
##hostname: error while loading shared libraries: libc.so.6: cannot open shared object file: No suchfile or directory

##Launching installer...

##grep: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
##/tmp/install.dir.25380/Linux/resource/jre/bin/java: error while loading shared libraries: libpthread.so.0: cannot ##open shared object file: No such file or directory
##
##vim -b +2134 LinuxInstaller.bin
##
##        export LD_ASSUME_KERNEL
##
##Preparing to install...
##Extracting the JRE from the installer archive...
##Unpacking the JRE...

##gzip: /tmp/install.dir.6146/Linux/resource/vm.tar.Z: not in gzip format

##gzip: /tmp/install.dir.6146/Linux/resource/vm.tar.Z: not in gzip format

##gzip: /tmp/install.dir.6146/Linux/resource/vm.tar.Z: not in gzip format
##The included VM could not be uncompressed (GZIP/UNCOMPRESS). Please try to
##download the installer again and make sure that you download using 'binary'
##mode.  Please do not attempt to install this currently downloaded copy.
##